<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\EmploymentsTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\EmploymentsTable Test Case
 */
class EmploymentsTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\EmploymentsTable
     */
    public $Employments;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.employments'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::getTableLocator()->exists('Employments') ? [] : ['className' => EmploymentsTable::class];
        $this->Employments = TableRegistry::getTableLocator()->get('Employments', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->Employments);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
